MENU(3)

NAME
MENU - Stores the entries of a menu. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

typedef struct MENU

DESCRIPTION
   char *text;          - the text to display for the menu item
   int (*proc)(void);   - called when the menu item is clicked
   struct MENU *child;  - nested child menu
   int flags;           - disabled or checked state
   void *dp;            - pointer to any data you need

Structure used to hold an entry of a menu. Read chapter "GUI routines", section "GUI menus" for a description on how to obtain/use this structure.

SEE ALSO
do_menu(3), exgui(3)